## php-parser 5.0.2

=== Makefile ===
.PHONY: phpstan php-cs-fixer

tools/vendor:
	composer install -d tools

phpstan: tools/vendor
	tools/vendor/bin/phpstan

php-cs-fixer: tools/vendor
	tools/vendor/bin/php-cs-fixer fix

## php-parser 0.9.5

=== debian/changelog ===
php-parser (0.9.5-1) unstable; urgency=medium

  [ nikic ]
  * Deprecate templating functionality
  * Disable xdebug.scream while lexing
  * Release version 0.9.5

  [ Charles Sprayberry ]
  * Add NodeTraverser::removeVisitor()

  [ Jean-François Simon ]
  * Fix name resolver (class names are case insensitive)

  [ Arne Blankerts ]
  * Ensure no registered error handler will see the 'reset' error

  [ David Prévot ]
  * Keep tracking the PEAR channel

 -- David Prévot <taffit@debian.org>  Wed, 23 Jul 2014 22:23:23 -0400

php-parser (0.9.4-1) unstable; urgency=low

  * Initial Release (Closes: #746431)

 -- David Prévot <taffit@debian.org>  Tue, 29 Apr 2014 18:52:39 -0400

=== debian/control ===
Source: php-parser
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9), pear-channels (>= 0~20140429), pkg-php-tools
Standards-Version: 3.9.5
Homepage: https://github.com/nikic/PHP-Parser
Vcs-Git: git://anonscm.debian.org/pkg-php/php-parser.git -b pear
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-parser.git

Package: php-parser
Architecture: all
Depends: ${misc:Depends}, ${phppear:Debian-Depends}
Recommends: ${phppear:Debian-Recommends}
Breaks: ${phppear:Debian-Breaks}
Description: convert PHP code into abstract syntax tree
 ${phppear:description}
 PHP Parser turns some PHP code into an abstract syntax tree, and vice versa.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=phppear --with phppear

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

get-orig-source:
	uscan --verbose --rename --force

=== debian/watch ===
version=3
# options=uversionmangle=s/-?beta/~beta/;s/-?alpha/~alpha/ \
# https://github.com/nikic/PHP-Parser/tags .*/archive/v?([\d\.]+)\.tar\.gz
http://nikic.github.io/pear/ http://nikic.github.io/pear/get/PHPParser-([\d\.]+)\.tgz

## php-parser 1.0.1

=== debian/changelog ===
php-parser (1.0.1-1) unstable; urgency=medium

  [ nikic ]
  * Disallow new without a class name
  * Fix var_dump truncation with xdebug in php-parse.php
  * Add ability to pass code directly to php-parse.php
  * Release version 1.0.1

  [ David Prévot ]
  * Improve manual page generation

 -- David Prévot <taffit@debian.org>  Thu, 16 Oct 2014 22:04:02 -0400

php-parser (1.0.0-2) unstable; urgency=medium

  * Install bootstrap, as needed by phpdox
  * Make sure DEP-8 test are actually about the installed package
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Mon, 29 Sep 2014 17:29:33 -0400

php-parser (1.0.0-1) unstable; urgency=medium

  [ nikic ]
  * Remove "experimental" message
  * Remove deprecated Template and TemplateLoader
  * Add migration guide for 0.9 -> 1.0
  * Release PHP-Parser 1.0.0

  [ David Prévot ]
  * Display upstream version instead of Debian one
  * Install upgrade documentation
  * Upload stable version to unstable

 -- David Prévot <taffit@debian.org>  Fri, 12 Sep 2014 15:09:52 -0400

php-parser (1.0.0~beta2-1) experimental; urgency=medium

  [ nikic ]
  * Add experimental php-parse script
  * Release PHP-Parser 1.0.0 Beta 2

  [ Nikita Popov ]
  * Make autoloader for new names PSR-0 compliant

  [ David Prévot ]
  * No tests if DEB_BUILD_OPTIONS contains nocheck
  * Revert "Remove failing tests"
  * Install CLI
  * Add manpage for CLI

 -- David Prévot <taffit@debian.org>  Thu, 04 Sep 2014 16:38:31 -0400

php-parser (1.0.0~beta1-1) experimental; urgency=medium

  [ nikic ]
  * Release PHP-Parser 1.0.0 Beta 1

  [ David Prévot ]
  * Update packaging to Composer source, and upload to experimental
  * Remove failing tests

 -- David Prévot <taffit@debian.org>  Thu, 12 Jun 2014 14:36:41 -0400

=== debian/control ===
Source: php-parser
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9), help2man, phpunit, pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: https://github.com/nikic/PHP-Parser
Vcs-Git: git://anonscm.debian.org/pkg-php/php-parser.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-parser.git

Package: php-parser
Architecture: all
Depends: php5-cli, ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: convert PHP code into abstract syntax tree
 PHP Parser’s purpose is to simplify static code analysis and
 manipulation. It turns some PHP code into an abstract syntax tree, and
 vice versa.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM := $(shell head -1 debian/changelog | sed 's/.*(//;s/-.?*).*//')

%:
	dh $@ --with phpcomposer

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit
else
	@echo "** tests disabled"
endif

override_dh_installman:
	mkdir $(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/php-parser/usr/share/php && \
		help2man --help-option=\  --version-string=$(UPSTREAM) --no-info \
		--name='command line interface for PHP Parser' \
		'php $(CURDIR)/debian/php-parser/usr/bin/php-parse.php|tail -n+3' \
		| sed 's/\.php|tail\( -n+3\)\?//gi' \
		> $(CURDIR)/debian/tmp/php-parse.1
	dh_installman

## php-parser 1.3.0

=== debian/changelog ===
php-parser (1.3.0-1) unstable; urgency=medium

  * Upload to unstable since Jessie has been released

  [ Nikita Popov ]
  * Release PHP-Parser 1.3.0

  [ Gerrit Addiks ]
  * added column-numbers to syntax errors

 -- David Prévot <taffit@debian.org>  Sun, 03 May 2015 08:49:24 -0400

php-parser (1.2.2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 1.2.2

  [ David Prévot ]
  * Drop the .php file from /usr/bin

 -- David Prévot <taffit@debian.org>  Sat, 04 Apr 2015 17:47:06 -0400

php-parser (1.2.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Strict type compliance
  * Release PHP-Parser 1.2.1

 -- David Prévot <taffit@debian.org>  Wed, 25 Mar 2015 09:58:43 -0400

php-parser (1.2.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Revert "Create .gitattributes with basic export-ignores"
  * Release PHP-Parser 1.2.0

  [ David Prévot ]
  * Revert "Do not ship no longer provided documentation"
  * Revert "Disable tests (no longer provided)"
  * Simplify DEP-8 call

 -- David Prévot <taffit@debian.org>  Tue, 24 Mar 2015 16:16:10 -0400

php-parser (1.1.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 1.1

  [ David Prévot ]
  * Disable tests (no longer provided)
  * Do not ship no longer provided documentation

 -- David Prévot <taffit@debian.org>  Thu, 22 Jan 2015 12:26:48 -0400

php-parser (1.0.2-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Arne Blankerts ]
  * Make NameResolver resolve trait alias and precedence names

  [ nikic ]
  * Release PHP-Parser 1.0.2

  [ David Prévot ]
  * Add a get-orig-source target

 -- David Prévot <taffit@debian.org>  Fri, 07 Nov 2014 15:04:53 -0400

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,19 @@
 	@echo "** tests disabled"
 endif
 
+override_dh_install:
+	mkdir --parents $(CURDIR)/debian/tmp
+	cp $(CURDIR)/bin/php-parse.php $(CURDIR)/debian/tmp/php-parse
+	dh_install --list-missing
+
 override_dh_installman:
-	mkdir $(CURDIR)/debian/tmp
 	cd $(CURDIR)/debian/php-parser/usr/share/php && \
 		help2man --help-option=\  --version-string=$(UPSTREAM) --no-info \
 		--name='command line interface for PHP Parser' \
-		'php $(CURDIR)/debian/php-parser/usr/bin/php-parse.php|tail -n+3' \
-		| sed 's/\.php|tail\( -n+3\)\?//gi' \
+		'$(CURDIR)/debian/php-parser/usr/bin/php-parse|tail -n+3' \
+		| sed 's/|tail\( -n+3\)\?//gi' \
 		> $(CURDIR)/debian/tmp/php-parse.1
 	dh_installman
+
+get-orig-source:
+	uscan --verbose --rename --force

## php-parser 1.4.1

=== debian/changelog ===
php-parser (1.4.1-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1564548).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 31 Mar 2016 11:14:07 -0700

php-parser (1.4.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 1.4.1

  [ David Prévot ]
  * Track the 1.x branch
  * Use dpkg-parsechangelog instead of spurious regex

 -- David Prévot <taffit@debian.org>  Wed, 23 Sep 2015 17:54:00 -0400

php-parser (1.4.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Prepare PHP-Parser 1.4.0 release

  [ David Prévot ]
  * Make help output help2man-friendly
  * Track stable releases

 -- David Prévot <taffit@debian.org>  Wed, 29 Jul 2015 18:41:29 +0200

=== debian/control ===
Source: php-parser
Section: php
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9), help2man, phpunit, pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: https://github.com/nikic/PHP-Parser
Vcs-Git: git://anonscm.debian.org/pkg-php/php-parser.git -b v1
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-parser.git

Package: php-parser
Architecture: all
Depends: php-cli, ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: convert PHP code into abstract syntax tree
 PHP Parser’s purpose is to simplify static code analysis and
 manipulation. It turns some PHP code into an abstract syntax tree, and
 vice versa.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM := $(shell head -1 debian/changelog | sed 's/.*(//;s/-.?*).*//')
+UPSTREAM := $(shell dpkg-parsechangelog -S Version | sed 's/-[^-]*//')
 
 %:
 	dh $@ --with phpcomposer

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/PhpParser/bootstrap.php
Depends: @, phpunit

=== debian/watch ===
version=3
https://github.com/nikic/PHP-Parser/tags .*/archive/v?([\d\.]+)\.tar\.gz

## php-parser 3.1.4

=== debian/changelog ===
php-parser (3.1.4-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Fix pretty printing of -(-$x) and +(+$x)
  * Release PHP-Parser 3.1.4

  [ Miguel Piedrafita ]
  * Update license year

  [ David Prévot ]
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3
  * Update copyright (years)
  * Declare branch in Vcs-Git

 -- David Prévot <taffit@debian.org>  Tue, 27 Feb 2018 21:40:47 -1000

php-parser (3.1.3-1) unstable; urgency=medium

  [ Maks Rafalko ]
  * Correctly determine Type of Node when PHP-Parser's namespaces are prefixed

  [ Nikita Popov ]
  * Release PHP-Parser 3.1.3

  [ David Prévot ]
  * Track version 3

 -- David Prévot <taffit@debian.org>  Sat, 30 Dec 2017 15:02:28 +0530

php-parser (3.1.2-2) unstable; urgency=medium

  * Upload to unstable in sync with recent phpdox
  * Fix compatibility with phpunit 6 (Closes: #882933)
  * Update Standards-Version to 4.1.2

 -- David Prévot <taffit@debian.org>  Sun, 03 Dec 2017 14:04:28 -1000

php-parser (3.1.2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Add attribute for namespace kinds (#417)
  * Preserve comments on empty blocks (#382)
  * Add setDocComment() to namespace build (#437)
  * Release PHP-Parser 3.1.2

 -- David Prévot <taffit@debian.org>  Sat, 18 Nov 2017 21:23:00 -1000

php-parser (3.1.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 3.1.1

  [ David Prévot ]
  * Drop now useless entries for ci
  * Revert "Acknowledge now provided --help option"
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Thu, 12 Oct 2017 15:15:30 -1000

php-parser (2.1.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Remove internal LNumber::parse() method
  * Document that XDebug is super slow
  * Release PHP-Parser 2.1.0

  [ Remi Collet ]
  * support -h and --help standard options

  [ David Prévot ]
  * Update Standards-Version to 3.9.8
  * Acknowledge now provided --help option

 -- David Prévot <taffit@debian.org>  Tue, 19 Apr 2016 21:21:53 -0400

php-parser (2.0.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Distinguish declare(); and declare(){}
  * Support hashbang before namespace declaration
  * Update semi-reserved keyword list
  * Fix __halt_compiler() pretty printing edge case
  * Release PHP-Parser 2.0.1

  [ David Prévot ]
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Wed, 02 Mar 2016 17:11:34 -0400

php-parser (2.0.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Introduce Scalar\EncapsedStringPart
  * Release PHP-Parser 2.0.0

 -- David Prévot <taffit@debian.org>  Sat, 05 Dec 2015 16:33:33 -0400

php-parser (2.0.0~beta1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Add php-parse as composer bin
  * Fix autoloader path in php-parse
  * Release version 2.0.0 beta 1

  [ Dmitry Patsura ]
  * Use composer PSR-4 autoloader

  [ David Prévot ]
  * Adapt to php-parse renamed upstream
  * Provide homemade static autoload.php
  * Use static autoloader instead of dynamic one

 -- David Prévot <taffit@debian.org>  Fri, 23 Oct 2015 15:52:12 -0400

php-parser (2.0.0~alpha1-1) experimental; urgency=medium

  * Upload alpha to experimental

  [ Nikita Popov ]
  * Move parser to Parser\Php5
  * Fork separate PHP 7 parser
  * Add Multiple parser
  * Add basic ParserFactory
  * Release PHP-Parser 2.0 Alpha 1

  [ David Prévot ]
  * Revert "Track stable releases"
  * Install new upgrade notice
  * Don’t force php5 anymore
  * Force testing of the local lib
  * Adapt CI to new distribution

 -- David Prévot <taffit@debian.org>  Sun, 06 Sep 2015 15:38:40 -0400

=== debian/control ===
Source: php-parser
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9),
               help2man,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.7~)
Standards-Version: 4.1.3
Homepage: https://github.com/nikic/PHP-Parser
Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b v3
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

Package: php-parser
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: convert PHP code into abstract syntax tree
 PHP Parser’s purpose is to simplify static code analysis and
 manipulation. It turns some PHP code into an abstract syntax tree, and
 vice versa.

=== debian/tests/control ===
Test-Command: phpunit
Depends: @, phpunit

=== debian/watch ===
version=3
options=uversionmangle=s/-?(beta|alpha|rc)/~$1/ \
https://github.com/nikic/PHP-Parser/tags .*/archive/v?(3\.[\d\.]+.*)\.tar\.gz

## php-parser 3.1.5

=== debian/changelog ===
php-parser (3.1.5-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Fix duplicate switch comment assignment
  * Release PHP-Parser 3.1.5

  [ Théo FIDRY ]
  * Replace string by class call (#477)

  [ David Prévot ]
  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Tue, 05 Jun 2018 15:41:37 -1000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.7~)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b v3
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM := $(shell dpkg-parsechangelog -S version | sed 's/-.?*//')

%:
	dh $@ --with phpcomposer --list-missing

override_dh_auto_build:
	dh_auto_build
	phpab --output lib/PhpParser/autoload.php lib/PhpParser

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --include-path lib
else
	@echo "** tests disabled"
endif

override_dh_installman:
	mkdir --parents $(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/php-parser/usr/share/php && \
		help2man --help-option=\  --version-string=$(UPSTREAM) --no-info \
		--name='command line interface for PHP Parser' \
		'php $(CURDIR)/debian/php-parser/usr/bin/php-parse|tail -n+3' \
		| sed 's/|tail\( -n+3\)\?//gi' \
		> $(CURDIR)/debian/tmp/php-parse.1
	dh_installman

get-orig-source:
	uscan --verbose --rename --force

## php-parser 4.0.0

=== debian/changelog ===
php-parser (4.0.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.0

  [ Gabriel Caruso ]
  * Support PHPUnit 7

 -- David Prévot <taffit@debian.org>  Sun, 04 Mar 2018 19:35:43 -1000

php-parser (4.0.0~beta1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0 Beta 1

  [ Miguel Piedrafita ]
  * Update license year

  [ David Prévot ]
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3
  * Update copyright (years)
  * Drop bootstrap file removed upstream

 -- David Prévot <taffit@debian.org>  Tue, 27 Feb 2018 21:59:46 -1000

php-parser (4.0.0~alpha3-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0 Alpha 3

 -- David Prévot <taffit@debian.org>  Thu, 28 Dec 2017 16:19:45 +0530

php-parser (4.0.0~alpha2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.0 Alpha 2

  [ David Prévot ]
  * Install upstream documentation in its doc directory
  * Workaround phpab issue
  * Update Standards-Version to 4.1.2

 -- David Prévot <taffit@debian.org>  Sun, 03 Dec 2017 14:21:44 -1000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.7~)
-Standards-Version: 4.1.4
+Standards-Version: 4.1.3
 Homepage: https://github.com/nikic/PHP-Parser
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b v3
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser
 
 Package: php-parser

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,11 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	phpab --output lib/PhpParser/autoload.php lib/PhpParser
+	phpab \
+		--output lib/PhpParser/autoload.php \
+		--template debian/autoload.php.tpl \
+		--exclude lib/PhpParser/BuilderFactory.php \
+		lib/PhpParser
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## php-parser 4.0.1

=== debian/changelog ===
php-parser (4.0.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.1

 -- David Prévot <taffit@debian.org>  Wed, 28 Mar 2018 16:45:56 -1000

## php-parser 4.2.2

=== debian/changelog ===
php-parser (4.2.2-2ubuntu0.1) focal; urgency=medium

  * d/p/disable-broken-test-case-in-EmulativeTest.patch,
    d/p/skip-EmulativeTest-testErrorAfterEmulation.patch,
    d/p/skip-LexerTest-testError.patch, d/p/skip-PrettyPrinterTest.patch:
    Disable parser/lexer test cases that fail on focal and may cause
    unnecessary migration blockage.
    (LP: #1878102)
  * d/p/disable-CodeParsingTest-due-to-integer-syntax.patch:
    Disable another test case that is not yet 32-bit compatible, to fix
    proposed migration blockage on armhf.
    (LP: #1895878)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 30 Sep 2020 22:14:10 +0000

php-parser (4.2.2-2) unstable; urgency=medium

  * Upload to unstable in sync with phpdox
  * Compatibility with recent PHPUnit (Closes: #929065)
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.

 -- David Prévot <taffit@debian.org>  Fri, 09 Aug 2019 16:23:29 -1000

php-parser (4.2.2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.2

  [ David Prévot ]
  * Update help2man call

 -- David Prévot <taffit@debian.org>  Tue, 11 Jun 2019 15:01:43 -1000

php-parser (4.2.1-1) experimental; urgency=medium

  [ Tomas Votruba ]
  * Add support for ??= operator

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.1

  [ David Prévot ]
  * Provide homemade autoload for tests

 -- David Prévot <taffit@debian.org>  Mon, 18 Feb 2019 10:13:10 -1000

php-parser (4.2.0-2) experimental; urgency=medium

  * Drop incorrect dependencies from autoload.php

 -- David Prévot <taffit@debian.org>  Mon, 21 Jan 2019 11:45:03 -1000

php-parser (4.2.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.0

  [ David Prévot ]
  * Use debhelper-compat 12

 -- David Prévot <taffit@debian.org>  Mon, 14 Jan 2019 21:00:24 -1000

php-parser (4.1.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.1.1

  [ David Prévot ]
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Sat, 29 Dec 2018 09:35:08 +1030

php-parser (4.1.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.1.0

  [ David Prévot ]
  * Simplify a bit d/README.source

 -- David Prévot <taffit@debian.org>  Fri, 12 Oct 2018 16:39:47 -1000

php-parser (4.0.4-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.4

  [ David Prévot ]
  * Use debhelper-compat 11
  * Use https in Format
  * Get rid of https target
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Thu, 20 Sep 2018 19:48:01 -1000

php-parser (4.0.3-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.3

  [ David Prévot ]
  * Update Standards-Version to 4.1.5

 -- David Prévot <taffit@debian.org>  Wed, 18 Jul 2018 17:41:19 +0800

php-parser (4.0.2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.2

  [ David Prévot ]
  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Tue, 05 Jun 2018 15:32:12 -1000

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM := $(shell dpkg-parsechangelog -S version | sed 's/-.?*//')

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	phpab \
		--output lib/PhpParser/autoload.php \
		--template debian/autoload.php.tpl \
		--exclude lib/PhpParser/BuilderFactory.php \
		lib/PhpParser
	mkdir --parents vendor
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test/PhpParser

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --include-path lib
else
	@echo "** tests disabled"
endif

override_dh_installman:
	mkdir --parents $(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/php-parser/usr/share/php && \
		help2man --version-string=$(UPSTREAM) --no-info --no-discard-stderr \
		--name='command line interface for PHP Parser' \
		'php $(CURDIR)/debian/php-parser/usr/bin/php-parse' \
		> $(CURDIR)/debian/tmp/php-parse.1
	dh_installman

=== debian/tests/control ===
Test-Command: mkdir --parents vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test/PhpParser && phpunit
Depends: phpab, phpunit, @

## php-parser 4.3.0

=== debian/changelog ===
php-parser (4.3.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.3.0

 -- David Prévot <taffit@debian.org>  Sun, 10 Nov 2019 17:18:19 -1000

php-parser (4.2.5-1) unstable; urgency=medium

  [ Kyle ]
  * Optimize production build by ignoring dev files

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.5

  [ David Prévot ]
  * Document gbp import-ref usage
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- David Prévot <taffit@debian.org>  Tue, 29 Oct 2019 11:32:40 -1000

php-parser (4.2.4-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.4

  [ Tomas Votruba ]
  * add getProperties() and getConstants() to ClassLike
  * add getTraitUses() method to ClassLike

  [ David Prévot ]
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- David Prévot <taffit@debian.org>  Mon, 02 Sep 2019 18:12:05 -1000

php-parser (4.2.3-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Make compatible with PhpUnit 8
  * Release PHP-Parser 4.2.3

  [ Tomáš Votruba ]
  * [PHP 7.4] Add support for numeric literal separators (#615)

 -- David Prévot <taffit@debian.org>  Tue, 13 Aug 2019 18:14:55 -1000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                help2man,
                phpab,
                phpunit,
                pkg-php-tools (>= 1.7~)
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

## php-parser 4.4.0

=== debian/changelog ===
php-parser (4.4.0-1ubuntu2) groovy; urgency=medium

  * d/p/0004-Disable-CodeParsingTest-due-to-integer-syntax.patch:
    - Disable another test case that is not yet 32-bit compatible, to fix
      proposed migration blockage on armhf.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 14 May 2020 23:25:09 +0000

php-parser (4.4.0-1ubuntu1) groovy; urgency=medium

  * d/p/0003-Disable-new-test-cases-not-yet-32-bit-compatible.patch:
    - Disable two new test cases in order to fix proposed migration
      blockage on armhf due to autopkgtest failures.  Upstream indicates
      these new test cases have not been verified to work with 32-bit.
      (LP: #1878102)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 12 May 2020 21:59:29 +0000

php-parser (4.4.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.4.0

  [ David Prévot ]
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- David Prévot <taffit@debian.org>  Wed, 15 Apr 2020 09:29:15 -1000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: php-parser
 Section: php
 Priority: optional
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                help2man,
                phpab,
                phpunit,
-               pkg-php-tools (>= 1.7~)
-Standards-Version: 4.4.1
+               pkg-php-tools
+Standards-Version: 4.5.0
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

## php-parser 4.10.4

=== debian/changelog ===
php-parser (4.10.4-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.4

  [ David Prévot ]
  * Workaround --include-path broken(?) in PHPUnit 9

 -- David Prévot <taffit@debian.org>  Mon, 21 Dec 2020 10:01:27 -0400

php-parser (4.10.3-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.3

  [ David Prévot ]
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Wed, 09 Dec 2020 06:21:24 -0400

php-parser (4.10.2-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.2

 -- David Prévot <taffit@debian.org>  Sat, 26 Sep 2020 08:40:07 -0400

php-parser (4.10.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.0

 -- David Prévot <taffit@debian.org>  Tue, 22 Sep 2020 07:44:40 -0400

php-parser (4.9.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.9.1

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)

 -- David Prévot <taffit@debian.org>  Tue, 01 Sep 2020 14:40:39 -0400

php-parser (4.9.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.9.0

 -- David Prévot <taffit@debian.org>  Mon, 24 Aug 2020 10:40:31 -0400

php-parser (4.8.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Allow PHPUnit 9
  * Release PHP-Parser 4.8.0

 -- David Prévot <taffit@debian.org>  Mon, 17 Aug 2020 18:31:58 +0200

php-parser (4.7.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Add ParentConnectingVisitor and NodeConnectingVisitor (#681)

  [ Graham Campbell ]
  * Corrected license text

  [ Tomas Votruba ]
  * [PHP 8.0] Add match expressions (#672)

  [ Nikita Popov ]
  * [PHP 8.0] Support trailing comma in closure use list
  * Release PHP-Parser 4.7.0

  [ David Prévot ]
  * Update copyright
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Thu, 30 Jul 2020 05:37:49 +0200

php-parser (4.6.0-1) unstable; urgency=medium

  [ TomasVotruba ]
  * [PHP 8.0] Add trailing comma in parameter list
  * Add constructor promotion support

  [ Nikita Popov ]
  * Release PHP-Parser 4.6.0

  [ David Prévot ]
  * Install upstream doc without extra doc/

 -- David Prévot <taffit@debian.org>  Mon, 06 Jul 2020 14:56:54 +0200

php-parser (4.5.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.5.0

  [ David Prévot ]
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Fri, 05 Jun 2020 17:25:11 -1000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: php-parser
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-               help2man,
-               phpab,
-               phpunit,
-               pkg-php-tools
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), help2man, phpab, phpunit, pkg-php-tools
+Standards-Version: 4.5.1
 Homepage: https://github.com/nikic/PHP-Parser
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser
+Rules-Requires-Root: no
 
 Package: php-parser
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
UPSTREAM := $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with phpcomposer

execute_after_dh_auto_build:
	phpab \
		--output lib/PhpParser/autoload.php \
		--template debian/autoload.php.tpl \
		--exclude lib/PhpParser/BuilderFactory.php \
		lib/PhpParser
	mkdir --parents vendor
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test/PhpParser
	ln -s lib/PhpParser .

override_dh_auto_test:
	phpunit

execute_before_dh_installman:
	mkdir --parents $(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/php-parser/usr/share/php && \
		help2man --version-string=$(UPSTREAM) \
		--source="php-parse $(UPSTREAM)" \
		--no-info \
		--no-discard-stderr \
		--name='command line interface for PHP Parser' \
		'php $(CURDIR)/debian/php-parser/usr/bin/php-parse' \
		> $(CURDIR)/debian/tmp/php-parse.1

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/i;tr/A-Z/a-z/ \
https://github.com/nikic/PHP-Parser/tags \
.*/archive/v?([\d\.]+.*)\.tar\.gz

## php-parser 4.13.2

=== debian/changelog ===
php-parser (4.13.2-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/0003-Disable-new-test-cases-not-yet-32-bit-compatible.patch:

      + Disable two new test cases in order to fix proposed migration
        blockage on armhf due to autopkgtest failures. Upstream indicates
        these new test cases have not been verified to work with 32-bit.
  	(LP #1878102)
    - d/p/0004-Disable-CodeParsingTest-due-to-integer-syntax.patch:
      + Disable another test case that is not yet 32-bit compatible, to fix
        proposed migration blockage on armhf.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 03 Mar 2022 14:54:31 -0800

php-parser (4.13.2-1) unstable; urgency=medium

  [ Jaroslav Hanslík ]
  * Added builders for enum and enum case

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.2

 -- David Prévot <taffit@debian.org>  Mon, 06 Dec 2021 09:49:28 -0400

php-parser (4.13.1-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against older phpunit to resolve dependency confusion.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 19 Nov 2021 00:38:48 +0000

php-parser (4.13.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/0003-Disable-new-test-cases-not-yet-32-bit-compatible.patch:
      + Disable two new test cases in order to fix proposed migration
        blockage on armhf due to autopkgtest failures. Upstream indicates
        these new test cases have not been verified to work with
        32-bit. (LP #1878102)
    - d/p/0004-Disable-CodeParsingTest-due-to-integer-syntax.patch:
      + Disable another test case that is not yet 32-bit compatible, to
        fix proposed migration blockage on armhf.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 09 Nov 2021 17:51:30 +0530

php-parser (4.13.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.1

 -- David Prévot <taffit@debian.org>  Thu, 04 Nov 2021 12:57:00 -0400

php-parser (4.13.0-2) unstable; urgency=medium

  * Allow stderr during CI

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 15:30:31 -0400

php-parser (4.13.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.0

  [ David Prévot ]
  * Simplify gbp import-orig
  * Update standards version to 4.6.0, no changes needed.
  * Install /u/s/p/{autoloaders,overrides} files
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 14:17:02 -0400

php-parser (4.10.4-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable.  Remaining changes:
    - d/p/0003-Disable-new-test-cases-not-yet-32-bit-compatible.patch:
      + Disable two new test cases in order to fix proposed migration
        blockage on armhf due to autopkgtest failures.  Upstream indicates
        these new test cases have not been verified to work with 32-bit.
        (LP #1878102)
    - d/p/0004-Disable-CodeParsingTest-due-to-integer-syntax.patch:
      + Disable another test case that is not yet 32-bit compatible, to fix
        proposed migration blockage on armhf.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 21 Jan 2021 13:39:03 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,17 @@
 Source: php-parser
 Section: php
 Priority: optional
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper-compat (= 13), help2man, phpab, phpunit, pkg-php-tools
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
+               help2man,
+               phpab,
+               phpunit,
+               pkg-php-tools (>= 1.41~)
+Standards-Version: 4.6.0
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

=== debian/tests/control ===
Test-Command: mkdir --parents vendor && phpabtpl --require nikic/php-parser > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test/PhpParser && phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools (>= 1.41~), @

## php-parser 4.14.0

=== debian/changelog ===
php-parser (4.14.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1979240). Remaining changes:
    - d/p/0003-Disable-new-test-cases-not-yet-32-bit-compatible.patch:
      + Disable two new test cases in order to fix proposed migration
        blockage on armhf due to autopkgtest failures. Upstream indicates
        these new test cases have not been verified to work with
        32-bit.
        (LP #1878102)
    - d/p/0004-Disable-CodeParsingTest-due-to-integer-syntax.patch:
      + Disable another test case that is not yet 32-bit compatible, to fix
        proposed migration blockage on armhf.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 20 Jun 2022 16:58:14 -0300

php-parser (4.14.0-1) unstable; urgency=medium

  [ Marijn van Wezel ]
  * Reflect support for PHP 8.1 in the README

  [ Tomas Votruba ]
  * [LNumber] Add rawValue attribute to LNumber to allow numeric separator etc.
  * [DNumber] Add rawValue attribute to hold the original value (#833)
  * [String_] Add rawValue attribute (#831)
  * [PHP 8.2] Add readonly class support (#834)

  [ Nikita Popov ]
  * Release PHP-Parser 4.14.0

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 17:26:14 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/nikic/PHP-Parser
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser
 Rules-Requires-Root: no

## php-parser 4.15.2

=== debian/changelog ===
php-parser (4.15.2-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Fix parsing of large hex floats containing "e"
  * Adjust tests to work on 32-bit
  * Add more tests for formatting preservation with InlineHTML
  * Release PHP-Parser 4.15.2

  [ David Prévot ]
  * Track debian/bookworm

 -- David Prévot <taffit@debian.org>  Mon, 21 Nov 2022 07:46:50 +0100

php-parser (4.15.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Support readonly as function name
  * Add support for true type
  * Fix length bounds check in Name::slice()
  * Fix empty list insertion of multiple attributes
  * Release PHP-Parser 4.15.1

  [ Anton ]
  * Add __serialize/__unserialize to ClassMethod::$magicNames

  [ George Peter Banyard ]
  * Add support for DNF types (#862)

  [ David Prévot ]
  * Track version 4 for now (Bookworm?)

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 17:14:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php-parser
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper-compat (= 13),
@@ -13,7 +12,7 @@
                pkg-php-tools (>= 1.41~)
 Standards-Version: 4.6.1
 Homepage: https://github.com/nikic/PHP-Parser
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b debian/bookworm
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser
 Rules-Requires-Root: no

## php-parser 4.15.3

=== debian/changelog ===
php-parser (4.15.3-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Fix attrGroups/attributes confusion in EnumCase builder
  * Support readonly before DNF type
  * Release PHP-Parser 4.15.3

 -- David Prévot <taffit@debian.org>  Sat, 28 Jan 2023 10:31:51 +0100

php-parser (4.15.2-2) unstable; urgency=medium

  * Adapt readonly type (Closes: #1023370)
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Tue, 10 Jan 2023 11:41:48 +0100

## php-parser 4.15.4

=== debian/changelog ===
php-parser (4.15.4-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Fix formatting preservation for alternative elseif/else syntax
  * Release PHP-Parser 4.15.4

 -- David Prévot <taffit@debian.org>  Mon, 06 Mar 2023 08:19:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b debian/bookworm
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,16 @@
 UPSTREAM := $(DEB_VERSION_UPSTREAM)
 
 %:
-	dh $@ --with phpcomposer
+	dh $@
 
 execute_after_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output lib/PhpParser/autoload.php \
 		--template debian/autoload.php.tpl \
-		--exclude lib/PhpParser/BuilderFactory.php \
 		lib/PhpParser
 	mkdir --parents vendor
+	phpabtpl --require nikic/php-parser > debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/nikic/PHP-Parser \
refs/tags/v?(4.+)

## php-parser 4.16.0

=== debian/changelog ===
php-parser (4.16.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Add Name::getParts(), deprecate Name::$parts
  * Release PHP-Parser 4.16.0

 -- David Prévot <taffit@debian.org>  Sun, 25 Jun 2023 18:14:53 +0200

php-parser (4.15.5-1) unstable; urgency=medium

  [ Cees-Jan Kiewiet ]
  * [4.x] Add constructor property promotion

  [ Nikita Popov ]
  * Add makeReadonly() to param builder

  [ David Prévot ]
  * Release PHP-Parser 4.15.5
  * Extend clean

 -- David Prévot <taffit@debian.org>  Mon, 12 Jun 2023 13:35:02 +0200

## php-parser 5.0.0~alpha1

=== debian/changelog ===
php-parser (5.0.0~alpha1-1) experimental; urgency=medium

  * Upload alpha to experimental

  [ Nikita Popov ]
  * Drop support for running on PHP 7.0
  * Use PHP 8.0 token representation
  * Remove PHP 5 parser
  * Release PHP-Parser 5.0.0-alpha1

  [ David Prévot ]
  * Revert "Track version 4 for now (Bookworm?)"

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 17:25:57 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://github.com/nikic/PHP-Parser
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 	dh $@
 
 execute_after_dh_auto_build:
-	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
+		--tolerant \
 		--output lib/PhpParser/autoload.php \
 		--template debian/autoload.php.tpl \
 		lib/PhpParser

## php-parser 5.0.0~alpha3

=== debian/changelog ===
php-parser (5.0.0~alpha3-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Add support for typed constants
  * Support readonly anonymous classes
  * Add support for NodeVisitor::REPLACE_WITH_NULL
  * Support CRLF newlines in pretty printer
  * Release PHP-Parser 5.0.0-alpha3

 -- David Prévot <taffit@debian.org>  Sun, 25 Jun 2023 18:22:18 +0200

php-parser (5.0.0~alpha2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * [PHP 8.3] Support dynamic class const fetch
  * Update upgrading documentation
  * Release PHP-Parser 5.0.0 alpha 2

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 06 Mar 2023 13:24:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-parser

## php-parser 5.0.1

=== debian/changelog ===
php-parser (5.0.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Check for tokens with non-integer ID
  * Release PHP-Parser 5.0.1

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sat, 24 Feb 2024 09:29:35 +0100

php-parser (5.0.0-1) unstable; urgency=medium

  * Upload to unstable

  [ Ondrej Mirtes ]
  * Fix parent class of PropertyItem and UseItem

  [ Nikita Popov ]
  * Avoid PHPUnit deprecation warnings
  * Release PHP-Parser 5.0.0

  [ David Prévot ]
  * Extend clean
  * Drop versioned build-dependencies

 -- David Prévot <taffit@debian.org>  Wed, 10 Jan 2024 08:41:20 +0100

php-parser (5.0.0~rc1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Don't parse unicode escapes for PHP < 7.0
  * Add support for dumping additional attributes
  * Add rawValue to InterpolatedStringPart and doc strings
  * Introduce Stmt\Block
  * Remove Stmt\Throw
  * Use visitor to assign comments
  * Remove ParserFactory::create()
  * Fix handling of empty input
  * Release PHP-Parser 5.0.0rc1

  [ Abdul Malik Ikhsan ]
  * Improve performance of find() and findFirst() when passed $nodes is empty array

  [ David Prévot ]
  * Compatibility with recent PHPUnit (10), partially addresses #1039814

 -- David Prévot <taffit@debian.org>  Thu, 21 Dec 2023 13:20:06 +0100

php-parser (5.0.0~beta1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Add upgrading notes for lexer changes
  * Release PHP-Parser 5.0.0 Beta 1

  [ David Prévot ]
  * Override new Makefile

 -- David Prévot <taffit@debian.org>  Tue, 19 Sep 2023 09:38:12 +0530

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
                dh-sequence-phpcomposer,
                help2man,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
+               phpunit
 Standards-Version: 4.6.2
 Homepage: https://github.com/nikic/PHP-Parser
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-parser.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 %:
 	dh $@
 
-execute_after_dh_auto_build:
+override_dh_auto_build:
 	phpab \
 		--tolerant \
 		--output lib/PhpParser/autoload.php \

=== debian/tests/control ===
Test-Command: mkdir --parents vendor && phpabtpl --require nikic/php-parser > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test/PhpParser && phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools, @
